org.springframework.web.servlet.view.tiles2

## Class SpringWildcardServletTilesApplicationContext

- java.lang.Object
- - org.apache.tiles.servlet.context.ServletTilesApplicationContext
  - - org.springframework.web.servlet.view.tiles2.SpringWildcardServletTilesApplicationContext

- All Implemented Interfaces:
    TilesApplicationContext

      public class SpringWildcardServletTilesApplicationContext
      extends org.apache.tiles.servlet.context.ServletTilesApplicationContext

  Spring-specific subclass of the Tiles ServletTilesApplicationContext.
  Since:
    4.0.1
  Author:
    Juergen Hoeller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpringWildcardServletTilesApplicationContext(ServletContext servletContext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `URL` | `getResource(String path)`
    `Set<URL>` | `getResources(String path)`

    - ### Methods inherited from class org.apache.tiles.servlet.context.ServletTilesApplicationContext

      `createRequestContext, getApplicationScope, getContext, getInitParams, getServletContext, initialize, release`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpringWildcardServletTilesApplicationContext

          public SpringWildcardServletTilesApplicationContext(ServletContext servletContext)

  - ### Method Detail

    - #### getResource

          public URL getResource(String path)
                          throws IOException

      Specified by:
        `getResource` in interface `TilesApplicationContext`
      Overrides:
        `getResource` in class `org.apache.tiles.servlet.context.ServletTilesApplicationContext`
      Throws:
        `IOException`

    - #### getResources

          public Set<URL> getResources(String path)
                                throws IOException

      Specified by:
        `getResources` in interface `TilesApplicationContext`
      Overrides:
        `getResources` in class `org.apache.tiles.servlet.context.ServletTilesApplicationContext`
      Throws:
        `IOException`